Page MenuHomePhabricator

Enable wikilove on outreachwiki
Closed, ResolvedPublic

Description

Please enable wikilove extension on outreach wiki. -- Steinsplitter

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnabling extension WikiLove for outreachwiki

Event Timeline

Steinsplitter raised the priority of this task from to Needs Triage.
Steinsplitter updated the task description. (Show Details)
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 19 2015, 11:46 AM

Not familiar with the process for outreachwiki. Who needs to approve this, is there a local community of some sort?

Not familiar with the process for outreachwiki. Who needs to approve this, is there a local community of some sort?

There is only a very small community so it should be fine to enable this. It would be a benefit for this this wiki to have this feature.

Glaisher set Security to None.

Change 235907 had a related patch set uploaded (by MarcoAurelio):
Enabling extension WikiLove for outreachwiki

https://gerrit.wikimedia.org/r/235907

MarcoAurelio triaged this task as Low priority.

Are we still going ahead with new enablements of WikiLove? I thought it was on the way out…

Are we still going ahead with new enablements of WikiLove? I thought it was on the way out…

Let's ask @kaldari or @Jorm

Jorm added a comment.Sep 3 2015, 10:37 PM

I don't work for the Foundation anymore, so I don't really have a lot of say in this, but as far as I know, WikiLove is still good to go as long as the local wiki knows that they need to adjust their configuration.

I'd say go for it.

Yes, please go for it, per @Jorm. I've wanted WikiLove on Outreach for a long time, too. Thanks @Steinsplitter for requesting it. <3 I do hope that @Jdforrester-WMF is wrong and that wiki love is not on its way out. :( Long live WikiLove! <3

I just added Flow support to WikiLove a few months ago so I hope it's not going to be killed :P

Per @Steinsplitter at the gerrit patch, it seems Wikilove database is needed before it can be deployed. Who can take care of that? :)

Steinsplitter added projects: Shell, acl*sre-team.
Steinsplitter removed a project: Shell.

Anyone who can deploy the config change can make the DB change. That's not the problem here.

krenair@tin:/srv/mediawiki-staging (master)$ mwscript sql.php outreachwiki php-1.26wmf23/extensions/WikiLove/patches/WikiLoveLog.sql
Query OK, 0 row(s) affected
Query OK, 0 row(s) affected
Query OK, 0 row(s) affected
Query OK, 0 row(s) affected
Query OK, 0 row(s) affected
krenair@tin:/srv/mediawiki-staging (master)$

Change 235907 merged by jenkins-bot:
Enabling extension WikiLove for outreachwiki

https://gerrit.wikimedia.org/r/235907

Krenair closed this task as Resolved.Sep 18 2015, 1:58 AM

01:57:37 Synchronized wmf-config/InitialiseSettings.php: https://phabricator.wikimedia.org/T106264 (duration: 00m 12s)

It's working and it's awesome. :) Thanks very much, everyone. :)